public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblinear/
Date: Sun, 21 May 2023 19:35:26 +0000 (UTC)	[thread overview]
Message-ID: <1684697710.1e2c75a56d474b55173430154239d39bbff0de9f.sam@gentoo> (raw)

commit:     1e2c75a56d474b55173430154239d39bbff0de9f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May 21 19:35:00 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May 21 19:35:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e2c75a5

dev-libs/liblinear: add 246

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/liblinear/Manifest             |  1 +
 dev-libs/liblinear/liblinear-246.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-libs/liblinear/Manifest b/dev-libs/liblinear/Manifest
index 202d311a741a..51d7295908e9 100644
--- a/dev-libs/liblinear/Manifest
+++ b/dev-libs/liblinear/Manifest
@@ -1 +1,2 @@
+DIST liblinear-2.46.tar.gz 569001 BLAKE2B d1f9019717b47414c11611a253ca9185d80cb5860e53462f9b4a6f95c99b0d39502ba91827d8afca6e98d279b50ce44cdcfde9a3629f2c5d4773eeb93e17de76 SHA512 94b892a51f85246cad36562f1e4870a22e73c0c6bf237dfcdc50467e93212a6e88a8f7ba36cfd691c031d8ced9ad663f592ef94e309df764d56095cfff7835ce
 DIST liblinear-243.tar.gz 565437 BLAKE2B 6367cfbdc040b9183c4993f5340a4d74a8dde48da04ef07f725dc5735073e1b9a7440bad325e9f7527ad76d675dbf3bb47d1d43fc323e1e42ef360d679e816ff SHA512 a0cfa9803285cdfda54752e7addfb210a9ba8f7056cfc8aca13987db7f0bef5fe02d6179eadc829cb243670414da061e6c4cf3d50d682ce392778a0e8cb9e753

diff --git a/dev-libs/liblinear/liblinear-246.ebuild b/dev-libs/liblinear/liblinear-246.ebuild
new file mode 100644
index 000000000000..58cdbbc224ae
--- /dev/null
+++ b/dev-libs/liblinear/liblinear-246.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib toolchain-funcs
+
+MY_PV="${PV:0:1}.${PV:1}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="A Library for Large Linear Classification"
+HOMEPAGE="https://www.csie.ntu.edu.tw/~cjlin/liblinear/ https://github.com/cjlin1/liblinear"
+SRC_URI="https://www.csie.ntu.edu.tw/~cjlin/liblinear/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="BSD"
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/^CFLAGS/d;/^CXXFLAGS/d' \
+		blas/Makefile || die
+	sed -i \
+		-e 's|make|$(MAKE)|g' \
+		-e '/$(LIBS)/s|$(CFLAGS)|& $(LDFLAGS)|g' \
+		-e '/^CFLAGS/d;/^CXXFLAGS/d' \
+		-e 's|$(SHARED_LIB_FLAG)|& $(LDFLAGS)|g' \
+		Makefile || die
+
+	# fix install_name on Darwin
+	sed -i \
+		-e '/install_name/s:liblinear.so.$(SHVER):'"${EPREFIX}"'/usr/lib/liblinear.$(SHVER).dylib:' \
+		-e '/LDFLAGS/s:liblinear.so.$(SHVER):liblinear'"$(get_libname '$(SHVER)')"':' \
+		Makefile || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)" \
+		CFLAGS="${CFLAGS} -fPIC" \
+		CXXFLAGS="${CXXFLAGS} -fPIC" \
+		AR="$(tc-getAR)" \
+		RANLIB="$(tc-getRANLIB)" \
+		lib all
+}
+
+src_install() {
+	dolib.so ${PN}$(get_libname ${SLOT#*/})
+	dosym ${PN}$(get_libname ${SLOT#*/}) /usr/$(get_libdir)/${PN}$(get_libname)
+
+	newbin predict ${PN}-predict
+	newbin train ${PN}-train
+
+	doheader linear.h
+
+	dodoc README
+}


             reply	other threads:[~2023-05-21 19:35 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-21 19:35 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-25  7:05 [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblinear/ Sam James
2023-06-25  7:05 Sam James
2023-06-25  7:05 Sam James
2023-06-25  7:05 Sam James
2023-06-25  7:05 Sam James
2023-06-25  7:05 Sam James
2023-06-25  7:05 Sam James
2022-01-01  9:38 Sam James
2021-09-27 14:53 Marek Szuba
2021-04-25  5:14 Sam James
2021-04-25  5:14 Sam James
2021-04-23 16:13 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-03-23  4:53 Sam James
2021-03-16 21:56 Sam James
2021-02-15  0:42 Sam James
2021-02-15  0:38 Sam James
2021-02-05 12:29 Sam James
2021-02-02 23:46 Sam James
2021-01-30 10:03 Sam James
2021-01-28 19:47 Sam James
2021-01-28 16:32 Sam James
2021-01-28 16:29 Sam James
2020-12-29 23:35 Sam James
2020-12-20  6:29 Sam James
2020-12-13 12:21 Fabian Groffen
2020-11-15 10:33 Sam James
2020-11-14 19:25 Sergei Trofimovich
2020-11-14 19:24 Sergei Trofimovich
2020-11-14 19:20 Sergei Trofimovich
2020-11-14 19:17 Sergei Trofimovich
2020-11-14 19:01 Sam James
2020-11-14 16:50 Sam James
2020-11-14  0:09 Thomas Deutschmann
2020-11-04  7:29 Sam James
2020-11-04  3:48 Sam James
2020-11-04  3:48 Sam James
2020-07-29  9:45 Jeroen Roovers
2020-07-22  8:20 Jeroen Roovers
2020-07-22  6:07 Jeroen Roovers
2019-08-11 10:06 Jeroen Roovers
2019-04-26 14:30 Jeroen Roovers
2019-04-26 14:30 Jeroen Roovers
2018-11-18  1:18 Thomas Deutschmann
2018-05-27 16:11 Aaron Bauman
2018-04-06 11:05 Fabian Groffen
2017-12-18 14:49 Jeroen Roovers
2017-06-25  9:55 Jeroen Roovers
2017-06-25  9:55 Jeroen Roovers
2016-03-04  2:16 Stephen Klimaszewski
2016-02-14  8:49 Jeroen Roovers
2016-01-09 16:10 Markus Meier
2016-01-02  7:14 Jeroen Roovers
2015-12-28  7:57 Jeroen Roovers
2015-12-26 23:32 Agostino Sarubbo
2015-12-21 14:32 Patrick Lauer
2015-10-03 12:32 Michał Górny
2015-10-03  7:49 Jeroen Roovers
2015-09-29 18:03 Jeroen Roovers
2015-09-29 16:13 Michał Górny
2015-09-29  9:09 Justin Lecher
2015-09-29  4:04 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684697710.1e2c75a56d474b55173430154239d39bbff0de9f.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox